# GmagickDraw::getfontstyle

(PECL gmagick >= Unknown)

GmagickDraw::getfontstyle — Returns the font style

### Description

public GmagickDraw::getfontstyle ( void ) : int

Returns the font style used when annotating with text.

### Parameters

This function has no parameters.

### Return Values

Returns the font style constant (STYLE_) associated with the GmagickDraw object or 0 if no style is set.